<v-dialog max-width="648" persistent v-model="display">
    <v-card>
        <v-container dense fluid>
            <v-row justify="center">
                <v-col cols="auto">
                    <span class="overline">Add the pizza to basket</span>
                    <v-spacer></v-spacer>
                </v-col>
            </v-row>
            <v-row justify="start">
                <v-col cols="auto" class="mr-auto">
                    <v-row>
                        <v-col>
                            <v-card-title class="headline mb-1" primary-title>{{ product.title }}</v-card-title>
                            <v-card-subtitle>{{ product.description }}</v-card-subtitle>
                            <v-card-text>
                                <v-row align="center">
                                    <v-btn icon color="red" @click="quantity > 1 && quantity --">
                                        <v-icon small>mdi-minus</v-icon>
                                    </v-btn>
                                    <v-col cols="3">
                                        <v-text-field readonly maxlength="2" label="quantity" v-model="quantity" :rules="[rules.required]" />
                                    </v-col>
                                    <v-btn icon color="green" @click="quantity < limit && ++ quantity">
                                        <v-icon small>mdi-plus</v-icon>
                                    </v-btn>
                                    <v-col>
                                        <h3 class="headline blue--text text--darken-4">
                                            {{ price }}$
                                        </h3>
                                    </v-col>
                                </v-row>
                            </v-card-text>
                        </v-col>
                    </v-row>
                </v-col>

                <v-col cols="4">
                    <v-img :src="img" />
                </v-col>

                <v-col class="caption">
                    <v-row align="baseline" justify="end" class="pa-5">
                        Add to basket and
                        <v-chip @click.stop="addProduct" class="mx-1" color="primary">
                            <v-icon class="mr-1 pr-1" small>mdi-cart-outline</v-icon>
                            continue
                        </v-chip>
                        or add to basket and
                        <v-chip @click.stop="buyProduct" class="mx-1" dark color="green darken-1">
                            <v-icon class="mr-1 pr-1" small>mdi-cart-outline</v-icon>
                            buy
                        </v-chip>
                    </v-row>
                </v-col>

                <v-col cols="12">
                    <v-divider />
                </v-col>
            </v-row>

            <v-row dense>
                <v-col class="pa-0">
                    <v-card-actions>
                        <v-spacer></v-spacer>
                        <v-btn text @click.stop="addProduct" color="primary">
                            <v-icon small>mdi-cart-outline</v-icon>
                            Continue
                        </v-btn>
                        <v-btn color="green darken-1" text @click.stop="buyProduct">
                            <v-icon small>mdi-cart-outline</v-icon>
                            Buy
                        </v-btn>
                        <v-btn color="red lighten-1" text @click.stop="closeProduct">
                            <v-icon small>mdi-close</v-icon>
                            Cancel
                        </v-btn>
                    </v-card-actions>
                </v-col>
            </v-row>
        </v-container>
    </v-card>
</v-dialog>
